#include "hostlist.h"


#include "hostlist.moc"

KHostEntry::KHostEntry(const char *hostname, int mycol1):
  QListBoxItem()
{
  QString hlp;
  
  setText(hostname);
  hlp = hostname;
  secondcol = hlp.find(' '); 
  // search first space -- this ends the hostname section
  if (-1 != secondcol) {
    // now search for the next non-black character
    while (' ' == hlp[secondcol])
      secondcol++;
  }
  col1 = mycol1;
}


KHostEntry::~KHostEntry()
{
}

int KHostEntry::width(const QListBox *box) const
{
  int rv;
  const char *s;
  QFontMetrics m = box->fontMetrics();

  if (-1 == secondcol)
    rv = 2 + m.width(text())+2;
  else {
    s = text()+secondcol;
    rv = col1 + m.width(s)+2;
  } 
  return rv;
}


int KHostEntry::height(const QListBox *box) const
{
  return box->fontMetrics().lineSpacing()+1;
}


void KHostEntry::paint(QPainter *p)
{
  QFontMetrics m = p->fontMetrics();
  int h = m.lineSpacing() - m.descent()-1;
  if (secondcol != -1) {
    p->drawText(2, h, text(), secondcol-1);
    p->drawText(col1, h, text()+secondcol);
  } else
    p->drawText(2, h, text());
}
